using System;
using Cute;

public class JudgeResultFailedToRetryChecker : NetworkBattleIntervalCheckerBase
{
	private const int JUDGE_RESULT_RETRY_TIMER = 35;

	public event Action OnRetry;

	public override void StopChecker()
	{
		base.StopChecker();
	}

	protected override void IntervalCheck()
	{
		base.IntervalCheck();
		if (NetworkUtility.GetTimeSpanSecond(base.startTick) >= 35)
		{
			this.OnRetry.Call();
			StopChecker();
		}
	}
}
